API ReferenceAdmin Customers
Get By Id
Authorization
AdminSession AuthorizationBearer <token>
Admin session token returned by POST /auth/login, sent as 'Authorization: Bearer '.
In: header
Path Parameters
id*integer
Response Body
*/*
curl -X GET "https://example.com/api/v1/admin/customers/0"{
"data": {
"id": 0,
"applicationId": 0,
"applicationName": "string",
"externalCustomerId": "string",
"name": "string",
"email": "string",
"phone": "string",
"paymentStats": {
"count": 0,
"succeededCount": 0,
"grossSucceededMinor": 0,
"successRate": 0.1,
"firstPaymentAt": "2019-08-24T14:15:22Z",
"lastPaymentAt": "2019-08-24T14:15:22Z"
},
"invoiceStats": {
"count": 0,
"outstandingMinor": 0
},
"refundStats": {
"count": 0,
"totalMinor": 0
}
},
"meta": {
"success": true,
"message": "string",
"errorCode": "RESOURCE_NOT_FOUND",
"timestamp": "2019-08-24T14:15:22Z"
},
"pagination": {
"page": 0,
"size": 0,
"totalElements": 0,
"totalPages": 0
}
}